Get a list of roles
curl --request GET \
--url https://{tenant_id}.hanko.io/admin/roles \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenant_id}.hanko.io/admin/roles"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenant_id}.hanko.io/admin/roles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "c339547d-e17d-4ba7-8a1d-b3d5a4d17c1c",
"slug": "<string>",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]{
"code": 400,
"message": "Bad Request"
}{
"code": 500,
"message": "Internal Server Error"
}Role Management
Get a list of roles
GET
/
roles
Get a list of roles
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your API key. Must only be used when using Hanko Cloud.
Query Parameters
The page which should be returned
The number of returned items
Response
Details about roles
The ID of the role
Example:
"c339547d-e17d-4ba7-8a1d-b3d5a4d17c1c"
Machine-safe, human-readable identifier for the role. Immutable after creation.
Display name of the role
Time of creation of the role
Time of last update of the role
Was this page helpful?